#
# spec file for package python-py-ubjson
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define modname py-ubjson
Name:           python-py-ubjson
Version:        0.15.0
Release:        lp152.1.1
Summary:        Universal Binary JSON encoder/decoder
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/Iotic-Labs/py-ubjson
Source:         https://files.pythonhosted.org/packages/source/p/py-ubjson/%{modname}-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%python_subpackages

%description
This is a Python v3.2+ (and 2.7+) `Universal Binary JSON`
encoder/decoder based on the `draft-12` specification.

%prep
%setup -q -n %{modname}-%{version}

%build
%python_build

%check
touch test/__init__.py
%pytest test/test.py

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}

%files %{python_files}
%{python_sitearch}/*

%changelog
* Tue Mar 24 2020 pgajdos@suse.com
- version update to 0.15.0
  * Fix decimal encoding bug/assert (reported by mgorny)
* Tue Jul 23 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.14.0:
  - Fix DecoderException not including offset when C-extension in use, expose
    property for it.
  - Fix decoding via C extension reading too much data from file-like objects
  - Test suite exercises both pure & extension modules when extension enabled
  - Expand test suite to increase C extension (line) coverage
  - Remove need for pypandoc/rst (use original README.md)
  - Fix spelling errors in cli util (hoenn)
* Fri Jun  7 2019 pgajdos@suse.com
- enable unit tests
* Tue Apr  9 2019 Bernhard Wiedemann <bwiedemann@suse.com>
- Update to 0.13.0
  * Make package build reproducible (boo#1041090)
  * Fix _ubjson_decode_value case statement fallthrough
* Mon Mar 25 2019 Matěj Cepl <mcepl@suse.com>
- Initial packaging effort of 0.12.0
